﻿class Mask extends MovieClip {
	
	public var drag:Boolean;
	public var startx:Number;
	public var starty:Number;
	
	public function onLoad() {
		startx = this._x;
		starty = this._y;
	}
	
	public function onMouseDown() {
		if (this.hitTest(_root._xmouse,_root._ymouse,true)) {
			drag = true;
			startDrag (this, false, 0, 0, Stage.width, Stage.height);
		}
	}

	public function onMouseUp() {
		if (this.hitTest(_root._xmouse,_root._ymouse,true)) {
			drag = false;
			stopDrag();
		}
	}
	
	public function onEnterFrame() {
		var pic_mc = eval(_target+"/picture_mc");
		var xdiff = startx - _x;
		var ydiff = starty - _y;
		if (drag) {
			pic_mc.move(xdiff,ydiff);
		}
	}

}